Package org.eclipse.birt.report.model.api.elements.structures

# Class PropertyMask

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.PropertyMask

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class PropertyMask extends org.eclipse.birt.report.model.core.Structure
This class provides property masks of system or user defined properties. Name and Value members in `PropertyMask` are all intrinsic properties. Choices for the mask value are defined in `DesignChoiceConstants`.

See Also:
  - `DesignChoiceConstants`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`mask`
The value of the mask.
`static final String`
`MASK_MEMBER`
Name of the value for the mask.
`protected String`
`name`
The name of the property.
`static final String`
`NAME_MEMBER`
Name of the property name member.
`static final String`
`STRUCTURE_NAME`
Name of this structure within the meta-data dictionary.

## Constructor Summary

Constructors
Constructor
Description
`PropertyMask()`
Constructs a PropertyMask.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getMask()`
Returns the mask of the property.
`String`
`getName()`
Returns the property name.
`String`
`getStructName()`
Returns the name of the structure definition.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`void`
`setMask(String mask)`
Sets the property mask.
`void`
`setName(String name)`
Sets the property name.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validate whether this structure is valid.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME_MEMBER

public static final String NAME_MEMBER
Name of the property name member.

See Also:
  - Constant Field Values

### MASK_MEMBER

public static final String MASK_MEMBER
Name of the value for the mask.

See Also:
  - Constant Field Values

### STRUCTURE_NAME

public static final String STRUCTURE_NAME
Name of this structure within the meta-data dictionary.

See Also:
  - Constant Field Values

### name

protected String name
The name of the property.

### mask

protected String mask
The value of the mask. The default value is "hide".

## Constructor Details

### PropertyMask

public PropertyMask()
Constructs a PropertyMask.

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### getName

public String getName()
Returns the property name.

Returns:
  the property name

### getMask

public String getMask()
Returns the mask of the property. The possible values are defined in {org.eclipse.birt.report.model.elements.DesignChoiceConstants}, and they are:

- PROPERTY_MASK_TYPE_CHANGE
- PROPERTY_MASK_TYPE_LOCK
- PROPERTY_MASK_TYPE_HIDE

Returns:
  the mask of the property

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### setMask

public void setMask(String mask)
Sets the property mask. The allowed values are defined in {org.eclipse.birt.report.model.elements.DesignChoiceConstants}, and they are:

- PROPERTY_MASK_TYPE_CHANGE
- PROPERTY_MASK_TYPE_LOCK
- PROPERTY_MASK_TYPE_HIDE

Parameters:
  `mask` - the proeprty mask to set

### setName

public void setName(String name)
Sets the property name.

Parameters:
  `name` - the property name to set

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Validate whether this structure is valid. The derived class should override this method if semantic check is needed. The each error is the instance of `PropertyValueException`.

Overrides:
  `validate` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `module` - the module
  `element` - the element contains this structure
Returns:
  the semantic error list